%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-LibXML-Common

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	XML::LibXML::Common - Routines and Constants common for XML::LibXML and XML::GDOME
Name:		perl-%{perlname}
Version:	0.13
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=XML+LibXML+Common
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion} libxml2-devel

%description
XML::LibXML and XML::GDOME share some of the same functionality. 
This package should bundle some shared constansts and functions, 
so both modules may coexist within the same scripts.

XML::LibXML::Common defines all node types as constants. 
While XML::LibXML and XML::GDOME originally declared their 
own node type definitions, one may want to use XML::LibXML::Common 
in its compatibility mode:

    * use XML::LibXML::Common qw(:libxml);
      :libxml will use the XML::LibXML Compatibility mode, 
       which defines the old 'XML_' node-type definitions

    * use XML::LibXML::Common qw(:gdome);
      This allows one to use the XML::LibXML Compatibility mode, 
      which defines the old 'GDOME_' node-type definitions

    * use XML::LibXML::Common qw(:w3c);
      This uses the nodetype definition names as specified for DOM.

    * use XML::LibXML::Common qw(:encoding);
      This is ment if only the encoding functions of XML::LibXML::Common 
      should be used.

By default the W3 definitions as defined in the DOM specifications 
and the encoding functions are exported by XML::LibXML::Common.

For more details see: http://search.cpan.org/search?module=XML+LibXML+Common

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.13-2
- Rebuild against perl 5.10.0
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.13-1
- Initial Release
